/* CSS Reset */

*{
	margin: 0; 
	padding: 0;
	box-sizing: border-box;
}

/* Google Fonts */

body{
	font-family: 'Open-Sans', sans-serif;
}

/*Navigation Bar*/
/* 1rem = 16px (default font size) */
nav {
	/* Creates space from between the ul tag and the nav element */
	padding: 0.8rem;
	/* Creates space between the nav and intro section	*/
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style-type: none;
}

/* Margin vs Padding */
/* margin is best used to create space between elements */
/* padding is best used when creating space between an elements border and it's content */

nav .nav, nav .nav-logo{
	/* Creates space between the ul and the nav elements */
	margin: 0.5rem;
	/* changes elements to inline elements	*/
	display: inline;
}

#intro {
	/* Creates space between the contents of the intro section and its border	*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	/* padding: 2 rem, 10% 3 rem	*/
	text-align: center;
}

.header {
	/* Best used when horizontally aligning text instead of using margin and padding */
	text-align: center;
}

#intro h2, #intro p {
	/* Creates space between the contents of the intro section	*/
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/* Changes the thickness of text */
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/* Creates space between the button text and the border	*/
	padding: 1rem;
}

/* Succeed info section */

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	/* Creates space between the header and the card section */
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	/* Creates space between the h3 tags and the paragaph tags	*/
	margin-bottom: 1rem;
}

#succeed-info .card {
	/* Allows the cards to appear beside each other	*/
	display: inline-block;
	/* Aligns element with the tallest element in line */
	/* used with the "inline-block" value */
	vertical-align: top;
	/* Allows for cards to have equal height that adjust with the content */
	min-height: 175px;
	/* Measurement is based on equally dividing the parent container's width */
	/* only use 30% and not 33.33% because of margin to avoid overflow and horizontal scrolling	*/
	width: 30%;
	/* Creates horizontal spacing between cards	*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}


#pre-footer {
	background-color: #002540;
	color: white;
	
}

#pre-footer h3 {
	text-align: top;
	margin-top: 1rem;
	margin-bottom: 1 rem;
}

#pre-footer .card {
	display: inline-block;
	vertical-align: top;
	min-height: 120px;
	width: 20%;
	margin-left: 1rem;
	margin-right: 1rem;
}

footer {
	background-color: white;
	color: black;
	text-align: center;
	margin-top: .5rem;
	margin-bottom: .5rem;
}